These are chat archives for angular/angular-2-ionic-2

6th
Nov 2016
Alexey Rubinchyk
@rubinchyk
Nov 06 2016 09:57
Hello guys. Trying to implement in my app in-app purchasing with this library https://github.com/AlexDisler/cordova-inapppurchases-app but this library not working, I have 0 products in results. Can you help me with realization this feature, maybe you have some libraries (which working correctly) for this functionality?
Tom Aalbers
@dtaalbers
Nov 06 2016 12:21
Hi, just upgraded to latest release from beta.11. I am getting this error main.js:17121Uncaught Error: Cannot find module "../" which gets thrown by throw new Error("Cannot find module \"../\""); in main.js. Does any one has an idea what I am doing wrong?
Jade
@zjhiphop
Nov 06 2016 15:25
Hi, anybody here
?
Is there any way chould use URL hash to change navigation?
I want to debug specific page quickly
Thomas B.
@tblazz
Nov 06 2016 15:34
Hello, I always have this error typescript: node_modules/angularfire2/node_modules/firebase/firebase.d.ts, line: 12
Duplicate identifier 'Promise'. when i launch my ionic 2 app (with Firebase)
Frederik Prijck
@frederikprijck
Nov 06 2016 15:34
@tblasig Have u installed typings for both es6-promise and core-js ?
Thomas B.
@tblazz
Nov 06 2016 15:35
I'm beggining, I installed typings by : npm install typings
Is this enough to install for both ?
Frederik Prijck
@frederikprijck
Nov 06 2016 15:36
You shouldn't have installed both, I had the same error when I had both
Thomas B.
@tblazz
Nov 06 2016 15:39
I ran : sudo npm install es6-promise
no need for sudo
but that's not related :)
Thomas B.
@tblazz
Nov 06 2016 15:40
Yes, as I had no clues, I also try add sudo for all commands ^^
Since yesterday it doesn't work on my laptop, i'm running out of ideas ^^
Thomas B.
@tblazz
Nov 06 2016 15:53
ionic-hello-world@ /Volumes/Data/WORKSPACE/PERSO/ionic2/ionic2-angularfire-login
├── UNMET PEER DEPENDENCY @angular/common@2.1.2 extraneous
├── UNMET PEER DEPENDENCY @angular/compiler@^2.0.0
├── UNMET PEER DEPENDENCY @angular/compiler-cli@2.1.1
├── UNMET PEER DEPENDENCY @angular/core@2.1.1
├── UNMET PEER DEPENDENCY @angular/forms@2.1.1
├── UNMET PEER DEPENDENCY @angular/http@2.1.1
├── UNMET PEER DEPENDENCY @angular/platform-browser@^2.0.0
├── UNMET PEER DEPENDENCY @angular/platform-browser-dynamic@^2.0.0
├── UNMET PEER DEPENDENCY @angular/platform-server@2.1.1
├── UNMET PEER DEPENDENCY @types/jasmine@^2.5.36
├── angularfire2@2.0.0-beta.6
├── firebase@3.5.3
Do you think it is linked to this dependency issues ?
Frederik Prijck
@frederikprijck
Nov 06 2016 15:56
can u show me ur npm dependencies ?
Thomas B.
@tblazz
Nov 06 2016 16:03
do you want all dependencies ?
Frederik Prijck
@frederikprijck
Nov 06 2016 16:06
unless those are so many ? :D
Thomas B.
@tblazz
Nov 06 2016 16:08
A bit yes,
npm ERR! peer dep missing: @angular/common@^2.0.0, required by angularfire2@2.0.0-beta.6
npm ERR! peer dep missing: @angular/common@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/compiler@^2.0.0, required by angularfire2@2.0.0-beta.6
npm ERR! peer dep missing: @angular/compiler@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/platform-browser@^2.0.0, required by angularfire2@2.0.0-beta.6
npm ERR! peer dep missing: @angular/platform-browser@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/platform-browser-dynamic@^2.0.0, required by angularfire2@2.0.0-beta.6
npm ERR! peer dep missing: @angular/platform-browser-dynamic@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @types/jasmine@^2.5.36, required by angularfire2@2.0.0-beta.6
npm ERR! peer dep missing: @angular/compiler-cli@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/core@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/forms@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/http@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: @angular/platform-server@2.1.1, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: zone.js@0.6.21, required by ionic-angular@2.0.0-rc.2
npm ERR! peer dep missing: zone.js@^0.6.21, required by @angular/core@2.1.2
The dependency issues if u want
Frederik Prijck
@frederikprijck
Nov 06 2016 16:16
I mean the dependencies, not the issues
Thomas B.
@tblazz
Nov 06 2016 16:16
"dependencies": {
"@angular/common": "2.1.1",
"@angular/compiler": "2.1.1",
"@angular/compiler-cli": "2.1.1",
"@angular/core": "2.1.1",
"@angular/forms": "2.1.1",
"@angular/http": "2.1.1",
"@angular/platform-browser": "2.1.1",
"@angular/platform-browser-dynamic": "2.1.1",
"@angular/platform-server": "2.1.1",
"@ionic/storage": "1.1.6",
"angularfire2": "^2.0.0-beta.6",
"firebase": "^3.5.3",
"ionic-angular": "2.0.0-rc.2",
"ionic-native": "2.2.3",
"ionicons": "3.0.0",
"rxjs": "5.0.0-beta.12",
"zone.js": "0.6.21"
},
"devDependencies": {
"@ionic/app-scripts": "0.0.39",
"@types/request": "0.0.30",
"typescript": "2.0.6"
},
Frederik Prijck
@frederikprijck
Nov 06 2016 17:03
And what's your typings.json looking like ?
Thomas B.
@tblazz
Nov 06 2016 20:08
It seems I don't have it